A Note on EZRentOut’s Response to the ‘Meltdown’ and ‘Spectre’ Vulnerabilities

As you may be aware, a pair of recent hardware vulnerabilities – dubbed ‘Spectre’ and ‘Meltdown’ – have exposed serious security loopholes in modern processors. They work by allowing programs to steal data being processed. This could be anything from passwords to business data.

Not only do these vulnerabilities operate on personal computers and mobile devices, but they also specifically target shared cloud hosting providers. We understand that this may be a cause for concern for users of EZRentOut.

We want to assure our customers that we’ve fully secured your data against these vulnerabilities by swiftly releasing patches addressing these issues. Specifically, we’ve upgraded our OS as per the Ubuntu Security Notice USN-3531-1.

EZRentOut customers can rest assured that data security is our top concern. For any questions, feel free to contact us at support@ezrentout.com

Continue reading